Skip to content

Create facility

Request

Creates a new Facility record. A physical location where veterinary services are provided (clinic, hospital, mobile unit).

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
facilityIdstring

Canonical unique identifier for the facility.

Example:"123e4567-e89b-12d3-a456-426614174000"
namestringrequired

Human-readable name of the facility.

Example:"Example Name"
facilityTypeobject(CodeableConceptDto)

Type of facility (clinic, hospital, mobile, emergency).

addressobject

Physical address of the facility.

phonestring

Primary contact phone number.

Example:"example"
emailstring

Primary contact email.

Example:"user@example.com"
isActiveboolean

Whether the facility is currently operational.

Example:true
extensionsobject

Vendor- or practice-specific extensions.

curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/facility' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "facilityId": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Example Name",
    "facilityType": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "address": {},
    "phone": "example",
    "email": "user@example.com",
    "isActive": true,
    "extensions": {}
  }'

Responses

Facility created successfully

Bodyapplication/json
facilityIdstringrequired

Canonical unique identifier for the facility.

Example:"123e4567-e89b-12d3-a456-426614174000"
namestringrequired

Human-readable name of the facility.

Example:"Example Name"
facilityTypeobject(CodeableConceptDto)required

Type of facility (clinic, hospital, mobile, emergency).

addressobjectrequired

Physical address of the facility.

phonestringrequired

Primary contact phone number.

Example:"example"
emailstringrequired

Primary contact email.

Example:"user@example.com"
isActivebooleanrequired

Whether the facility is currently operational.

Example:true
createdAtstring, (date-time)required

Timestamp when the facility record was created.

Example:"2025-01-01T00:00:00.000Z"
updatedAtstring, (date-time)required

Timestamp when the facility record was last updated.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

Response
{ "facilityId": "123e4567-e89b-12d3-a456-426614174000", "name": "Example Name", "facilityType": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "address": {}, "phone": "example", "email": "user@example.com", "isActive": true, "createdAt": "2025-01-01T00:00:00.000Z", "updatedAt": "2025-01-01T00:00:00.000Z", "extensions": {} }